Bug 214017 - yum enters failed state.
Summary: yum enters failed state.
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-04 16:13 UTC by Tim Jowers
Modified: 2014-01-21 22:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-25 18:45:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Jowers 2006-11-04 16:13:45 UTC
Description of problem:
Applications->Add/Remove Software dies a silent death. Yum gives an error message.

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1. Select the menu Applications->Add/Remove Software
2. Note the icon show son the bottom panel.
3. After 10 sconds it has disappeared.
4. Start a terminal and run "yum list installed" or another command.
5. Get the error message below.
  
Actual results:
Graphical app dies. Yum outputs this:
[root@localhost ~]# yum upgrade yum
There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

   No module named cElementTree

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.4.3 (#1, Oct  1 2006, 18:00:19) 
[GCC 4.1.1 20060928 (Red Hat 4.1.1-28)]

If you cannot solve this problem yourself, please go to 
the yum faq at:
  http://wiki.linux.duke.edu/YumFaq
  
Expected results:
Able to install PHP4.

Additional info:
Trying to install PHP 4 as cgi-bin to run alongside php-5 Should already be the
default setup for Apache.
The GUI dieing has happened twice before and I reboot and then it works. I'll
try that again.

Comment 1 Jeremy Katz 2006-11-06 16:20:13 UTC
Can you provide the output of 'rpm -V yum pirut'?

Comment 2 Jeremy Katz 2007-04-25 18:45:11 UTC
Closing due to inactivity; please reopen if you have further information to add
to this report.


Note You need to log in before you can comment on or make changes to this bug.